com.salesforce.hyperdb.grpc

## Enum SqlType.TypeTag

- java.lang.Object
- - java.lang.Enum<SqlType.TypeTag>
  - - com.salesforce.hyperdb.grpc.SqlType.TypeTag

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<SqlType.TypeTag>

Enclosing class:
  SqlType

    public static enum SqlType.TypeTag
    extends Enum<SqlType.TypeTag>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `salesforce.hyperdb.grpc.v1.SqlType.TypeTag`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HYPER_ARRAY_OF_FLOAT` `HYPER_ARRAY_OF_FLOAT = 20;`
`HYPER_BIG_INT` `HYPER_BIG_INT = 2;`
`HYPER_BOOL` `HYPER_BOOL = 1;`
`HYPER_BYTE_A` `HYPER_BYTE_A = 8;`
`HYPER_CHAR` `HYPER_CHAR = 11;`
`HYPER_DATE` `HYPER_DATE = 13;`
`HYPER_DOUBLE` `HYPER_DOUBLE = 6;`
`HYPER_FLOAT` `HYPER_FLOAT = 19;`
`HYPER_GEOGRAPHY` `HYPER_GEOGRAPHY = 18;`
`HYPER_INT` `HYPER_INT = 4;`
`HYPER_INTERVAL` `HYPER_INTERVAL = 14;`
`HYPER_JSON` `HYPER_JSON = 12;`
`HYPER_NUMERIC` `HYPER_NUMERIC = 5;`
`HYPER_OID` `HYPER_OID = 7;`
`HYPER_SMALL_INT` `HYPER_SMALL_INT = 3;`
`HYPER_TEXT` `HYPER_TEXT = 9;`
`HYPER_TIME` `HYPER_TIME = 15;`
`HYPER_TIMESTAMP` `HYPER_TIMESTAMP = 16;`
`HYPER_TIMESTAMP_TZ` `HYPER_TIMESTAMP_TZ = 17;`
`HYPER_UNSUPPORTED` `HYPER_UNSUPPORTED = 0;`
`HYPER_VARCHAR` `HYPER_VARCHAR = 10;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `HYPER_ARRAY_OF_FLOAT_VALUE` `HYPER_ARRAY_OF_FLOAT = 20;`
`static int` `HYPER_BIG_INT_VALUE` `HYPER_BIG_INT = 2;`
`static int` `HYPER_BOOL_VALUE` `HYPER_BOOL = 1;`
`static int` `HYPER_BYTE_A_VALUE` `HYPER_BYTE_A = 8;`
`static int` `HYPER_CHAR_VALUE` `HYPER_CHAR = 11;`
`static int` `HYPER_DATE_VALUE` `HYPER_DATE = 13;`
`static int` `HYPER_DOUBLE_VALUE` `HYPER_DOUBLE = 6;`
`static int` `HYPER_FLOAT_VALUE` `HYPER_FLOAT = 19;`
`static int` `HYPER_GEOGRAPHY_VALUE` `HYPER_GEOGRAPHY = 18;`
`static int` `HYPER_INT_VALUE` `HYPER_INT = 4;`
`static int` `HYPER_INTERVAL_VALUE` `HYPER_INTERVAL = 14;`
`static int` `HYPER_JSON_VALUE` `HYPER_JSON = 12;`
`static int` `HYPER_NUMERIC_VALUE` `HYPER_NUMERIC = 5;`
`static int` `HYPER_OID_VALUE` `HYPER_OID = 7;`
`static int` `HYPER_SMALL_INT_VALUE` `HYPER_SMALL_INT = 3;`
`static int` `HYPER_TEXT_VALUE` `HYPER_TEXT = 9;`
`static int` `HYPER_TIME_VALUE` `HYPER_TIME = 15;`
`static int` `HYPER_TIMESTAMP_TZ_VALUE` `HYPER_TIMESTAMP_TZ = 17;`
`static int` `HYPER_TIMESTAMP_VALUE` `HYPER_TIMESTAMP = 16;`
`static int` `HYPER_UNSUPPORTED_VALUE` `HYPER_UNSUPPORTED = 0;`
`static int` `HYPER_VARCHAR_VALUE` `HYPER_VARCHAR = 10;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static SqlType.TypeTag` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<SqlType.TypeTag>` `internalGetValueMap()`
`static SqlType.TypeTag` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static SqlType.TypeTag` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static SqlType.TypeTag` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlType.TypeTag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HYPER_UNSUPPORTED

    public static final SqlType.TypeTag HYPER_UNSUPPORTED

`HYPER_UNSUPPORTED = 0;`

#### HYPER_BOOL

    public static final SqlType.TypeTag HYPER_BOOL

`HYPER_BOOL = 1;`

#### HYPER_BIG_INT

    public static final SqlType.TypeTag HYPER_BIG_INT

`HYPER_BIG_INT = 2;`

#### HYPER_SMALL_INT

    public static final SqlType.TypeTag HYPER_SMALL_INT

`HYPER_SMALL_INT = 3;`

#### HYPER_INT

    public static final SqlType.TypeTag HYPER_INT

`HYPER_INT = 4;`

#### HYPER_NUMERIC

    public static final SqlType.TypeTag HYPER_NUMERIC

`HYPER_NUMERIC = 5;`

#### HYPER_DOUBLE

    public static final SqlType.TypeTag HYPER_DOUBLE

`HYPER_DOUBLE = 6;`

#### HYPER_OID

    public static final SqlType.TypeTag HYPER_OID

`HYPER_OID = 7;`

#### HYPER_BYTE_A

    public static final SqlType.TypeTag HYPER_BYTE_A

`HYPER_BYTE_A = 8;`

#### HYPER_TEXT

    public static final SqlType.TypeTag HYPER_TEXT

`HYPER_TEXT = 9;`

#### HYPER_VARCHAR

    public static final SqlType.TypeTag HYPER_VARCHAR

`HYPER_VARCHAR = 10;`

#### HYPER_CHAR

    public static final SqlType.TypeTag HYPER_CHAR

`HYPER_CHAR = 11;`

#### HYPER_JSON

    public static final SqlType.TypeTag HYPER_JSON

`HYPER_JSON = 12;`

#### HYPER_DATE

    public static final SqlType.TypeTag HYPER_DATE

`HYPER_DATE = 13;`

#### HYPER_INTERVAL

    public static final SqlType.TypeTag HYPER_INTERVAL

`HYPER_INTERVAL = 14;`

#### HYPER_TIME

    public static final SqlType.TypeTag HYPER_TIME

`HYPER_TIME = 15;`

#### HYPER_TIMESTAMP

    public static final SqlType.TypeTag HYPER_TIMESTAMP

`HYPER_TIMESTAMP = 16;`

#### HYPER_TIMESTAMP_TZ

    public static final SqlType.TypeTag HYPER_TIMESTAMP_TZ

`HYPER_TIMESTAMP_TZ = 17;`

#### HYPER_GEOGRAPHY

    public static final SqlType.TypeTag HYPER_GEOGRAPHY

`HYPER_GEOGRAPHY = 18;`

#### HYPER_FLOAT

    public static final SqlType.TypeTag HYPER_FLOAT

`HYPER_FLOAT = 19;`

#### HYPER_ARRAY_OF_FLOAT

    public static final SqlType.TypeTag HYPER_ARRAY_OF_FLOAT

`HYPER_ARRAY_OF_FLOAT = 20;`

#### UNRECOGNIZED

    public static final SqlType.TypeTag UNRECOGNIZED

### Field Detail

#### HYPER_UNSUPPORTED_VALUE

    public static final int HYPER_UNSUPPORTED_VALUE

`HYPER_UNSUPPORTED = 0;`

See Also:
  Constant Field Values

#### HYPER_BOOL_VALUE

    public static final int HYPER_BOOL_VALUE

`HYPER_BOOL = 1;`

See Also:
  Constant Field Values

#### HYPER_BIG_INT_VALUE

    public static final int HYPER_BIG_INT_VALUE

`HYPER_BIG_INT = 2;`

See Also:
  Constant Field Values

#### HYPER_SMALL_INT_VALUE

    public static final int HYPER_SMALL_INT_VALUE

`HYPER_SMALL_INT = 3;`

See Also:
  Constant Field Values

#### HYPER_INT_VALUE

    public static final int HYPER_INT_VALUE

`HYPER_INT = 4;`

See Also:
  Constant Field Values

#### HYPER_NUMERIC_VALUE

    public static final int HYPER_NUMERIC_VALUE

`HYPER_NUMERIC = 5;`

See Also:
  Constant Field Values

#### HYPER_DOUBLE_VALUE

    public static final int HYPER_DOUBLE_VALUE

`HYPER_DOUBLE = 6;`

See Also:
  Constant Field Values

#### HYPER_OID_VALUE

    public static final int HYPER_OID_VALUE

`HYPER_OID = 7;`

See Also:
  Constant Field Values

#### HYPER_BYTE_A_VALUE

    public static final int HYPER_BYTE_A_VALUE

`HYPER_BYTE_A = 8;`

See Also:
  Constant Field Values

#### HYPER_TEXT_VALUE

    public static final int HYPER_TEXT_VALUE

`HYPER_TEXT = 9;`

See Also:
  Constant Field Values

#### HYPER_VARCHAR_VALUE

    public static final int HYPER_VARCHAR_VALUE

`HYPER_VARCHAR = 10;`

See Also:
  Constant Field Values

#### HYPER_CHAR_VALUE

    public static final int HYPER_CHAR_VALUE

`HYPER_CHAR = 11;`

See Also:
  Constant Field Values

#### HYPER_JSON_VALUE

    public static final int HYPER_JSON_VALUE

`HYPER_JSON = 12;`

See Also:
  Constant Field Values

#### HYPER_DATE_VALUE

    public static final int HYPER_DATE_VALUE

`HYPER_DATE = 13;`

See Also:
  Constant Field Values

#### HYPER_INTERVAL_VALUE

    public static final int HYPER_INTERVAL_VALUE

`HYPER_INTERVAL = 14;`

See Also:
  Constant Field Values

#### HYPER_TIME_VALUE

    public static final int HYPER_TIME_VALUE

`HYPER_TIME = 15;`

See Also:
  Constant Field Values

#### HYPER_TIMESTAMP_VALUE

    public static final int HYPER_TIMESTAMP_VALUE

`HYPER_TIMESTAMP = 16;`

See Also:
  Constant Field Values

#### HYPER_TIMESTAMP_TZ_VALUE

    public static final int HYPER_TIMESTAMP_TZ_VALUE

`HYPER_TIMESTAMP_TZ = 17;`

See Also:
  Constant Field Values

#### HYPER_GEOGRAPHY_VALUE

    public static final int HYPER_GEOGRAPHY_VALUE

`HYPER_GEOGRAPHY = 18;`

See Also:
  Constant Field Values

#### HYPER_FLOAT_VALUE

    public static final int HYPER_FLOAT_VALUE

`HYPER_FLOAT = 19;`

See Also:
  Constant Field Values

#### HYPER_ARRAY_OF_FLOAT_VALUE

    public static final int HYPER_ARRAY_OF_FLOAT_VALUE

`HYPER_ARRAY_OF_FLOAT = 20;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static SqlType.TypeTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlType.TypeTag c : SqlType.TypeTag.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlType.TypeTag valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static SqlType.TypeTag valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static SqlType.TypeTag forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<SqlType.TypeTag> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static SqlType.TypeTag valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)